LDAPDELETE(1)

NAME
ldapdelete - ldap delete entry tool

SYNOPSIS
ldapdelete [-n] [-v] [-k] [-K] [-c] [-M[M]] [-d debuglevel] [-f file] [-D binddn] [-W] [-w passwd] [-h ldaphost] [-P 2|3] [-p ldapport] [dn]...

DESCRIPTION
ldapdelete is a shell-accessible interface to the ldap_delete(3) library call.

ldapdelete opens a connection to an LDAP server, binds, and deletes one or more entries. If one or more dn arguments are provided, entries with those Distinguished Names are deleted. Each dn should be a string-represented DN as defined in RFC 1779. If no dn arguments are provided, a list of DNs is read from standard input (or from file if the -f flag is used).

OPTIONS

-n  Show what would be done, but don't actually delete entries. Useful for debugging in conjunction with -v.

-v  Use verbose mode, with many diagnostics written to standard output.

-k  Use Kerberos authentication instead of simple authentication. It is assumed that you already have a valid ticket granting ticket. This option only has effect if ldapdelete is compiled with KERBEROS defined.

-K  Same as -k, but only does step 1 of the kerberos bind. This is useful when connecting to a slapd and there is no x500dsa.hostname principal registered with your kerberos servers.

-c  Continuous operation mode. Errors are reported, but ldapdelete will continue with deletions. The default is to exit after reporting an error.

-M[M]
    Enable manage DSA IT control. -MM makes control critical.

-d debuglevel
    Set the LDAP debugging level to debuglevel. ldapdelete must be compiled with LDAP_DEBUG defined for this option to have any effect.

-f file
    Read a series of lines from file, performing one LDAP search for each line. In this case, the filter given on the command line is treated as a pattern where the first occurrence of %s is replaced with a line from file.

-D binddn
    Use binddn to bind to the LDAP directory. binddn should be a string-represented DN as defined in RFC 1779.

-W  Prompt for simple authentication. This is used instead of specifying the password on the command line.

-w passwd
    Use passwd as the password for simple authentication.

-h ldaphost
    Specify an alternate host on which the ldap server is running.

-p ldapport
    Specify an alternate TCP port where the ldap server is listening.

-P 2|3
    Specify the LDAP protocol version to use.

EXAMPLE
The following command:

    ldapdelete "cn=Delete Me, o=University of Michigan, c=US"

will attempt to delete the entry named with commonName "Delete Me" directly below the University of Michigan organizational entry. Of course it would probably be necessary to supply a binddn and passwd for deletion to be allowed (see the -D and -w options).

DIAGNOSTICS
Exit status is 0 if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error.

SEE ALSO
ldap.conf(5), ldapadd(1), ldapmodify(1), ldapmodrdn(1), ldapsearch(1), ldap(3), ldap_delete(3)

Kille, S., A String Representation of Distinguished Names, RFC 1779, ISODE Consortium, March 1995.

BUGS
There is no interactive mode, but there probably should be.

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.